<?php
/*
乘风下载管理系统
作者QQ：178575
作者Email：yliangcf@163.com
作者网站：http://www.qqcf.com
详细简介：http://www.qqcf.com/cfdown.htm
上面有程序在线演示，安装演示，使用疑难解答，最新版本下载等内容
因为这些内容可能时常更新，就没有放在程序里，请自己上网站查看
*/
?>
<?php
//管理员跳转到用户界面
if($action=="usergo")
{
 $_SESSION["cfdownuser"]=chkstr($_GET["username"],1);
 gotourl("../../user/default/");
 exit;
}


//修改用户资料
if($action=="usermodifysave")
{
 $username=chkstr($_GET["username"],1);
 $pwd=chkstr($_POST["pwd"],1);
 $userstate=chkstr($_POST["userstate"],2);

 $sql="update cfdown_user set userstate='$userstate'";
 
 if($pwd<>""){
	 $sql2="select salt from cfdown_user where username='$username'";
	 $result=mysql_query($sql2);
	 $Rs=mysql_fetch_assoc($result);
	 
	 $pwd=md5($pwd.$Rs["salt"]);
	 $sql=$sql.",pwd='$pwd'";
 }
 
 $sql=$sql." where username='$username'";
 
 mysql_query($sql);
 alerturl("修改成功",$_GET['refurl']);
}


//用户删除
if($action=="userdel")
{
 $username=ChkStr($_GET["username"],1);
 if($username=="") alertback("用户名不能为空",1);
 
 $Sql="delete from cfdown_user where username='$username'";
 mysql_query($Sql);
 AlertRef("删除成功");
}
 
 
//下载增加
if($action=="infoaddsave")
{
 $username=ChkStr($_POST["username"],1);	
 $assort=ChkStr($_POST["assort"],2);
 $title=ChkStr($_POST["title"],1);
 $filesize=ChkStr($_POST["filesize"],1);
 $content=ChkStr($_POST["content"],0);
 $downurl=ChkStr($_POST["downurl"],1);
 $downsite=ChkStr($_POST["downsite"],2);
 $pwd=ChkStr($_POST["pwd"],1);
 $outpwd=ChkStr($_POST["outpwd"],1);
 $listid=ChkStr($_POST["listid"],2);
 
 
 $infokeyword=ChkStr($_POST["infokeyword"],1);
 $infodesc=ChkStr($_POST["infodesc"],1);
 $infolabel=ChkStr($_POST["infolabel"],1);

 
 if($username=="") alertback("请选择用户",1);
 if($assort=="") alertback("请选择分类",1);
 if($title=="") alertback("请输入标题",1);
 if($downurl=="") alertback("请输入下载地址",1);
 if($listid=="") alertback("请输入置顶数字",1);
 
 $Sql="select count(*) from cfdown_info where title='$title'";
 $Result=mysql_query($Sql);
 $Rs=mysql_fetch_row($Result);
 if($Rs[0]>0) alertback("已经存在此标题",1);
 
 $idstr=shorturl(uniqid());//uniqid() 函数基于以微秒计的当前时间再进行缩短
 $Sql="select count(*) from cfdown_info where idstr='$idstr'";
 $Result=mysql_query($Sql);
 $Rs=mysql_fetch_row($Result);
 if($Rs[0]>0) alertback("已经存在此下载唯一缩短字符",1);
 
 $Sql="insert into cfdown_info(idstr,username,assort,title,filesize,content,downurl,downsite,pwd,outpwd,listid,infokeyword,infodesc,infolabel,addtime)
 values('$idstr','$username',$assort,'$title','$filesize','$content','$downurl',$downsite,'$pwd','$outpwd',$listid,'$infokeyword','$infodesc','$infolabel','".date("Y-m-d H:i:s")."')";

 
 mysql_query($Sql);
 alerturl("增加成功",$_GET['refurl']);
}


//下载修改
if($action=="infomodifysave")
{
 $id=ChkStr($_GET["id"],2);
 $assort=ChkStr($_POST["assort"],2);
 $title=ChkStr($_POST["title"],1);
 $filesize=ChkStr($_POST["filesize"],1);
 $content=ChkStr($_POST["content"],0);
 $downurl=ChkStr($_POST["downurl"],1);
 $downsite=ChkStr($_POST["downsite"],2);
 $listid=ChkStr($_POST["listid"],2);
 $idstr=ChkStr($_POST["idstr"],1);
 $pwd=ChkStr($_POST["pwd"],1);
 $outpwd=ChkStr($_POST["outpwd"],1);
 $addtime=ChkStr($_POST["addtime"],3);
 
 $infokeyword=ChkStr($_POST["infokeyword"],1);
 $infodesc=ChkStr($_POST["infodesc"],1);
 $infolabel=ChkStr($_POST["infolabel"],1);

 
 if($id=="") alertback("id不能为空",1);
 if($assort=="") alertback("请选择分类",1);
 if($title=="") alertback("请输入标题",1);
 if($downurl=="") alertback("请输入下载地址",1);
 if($listid=="") alertback("请输入置顶数字",1);
 if($idstr=="") alertback("唯一缩短字符不能为空",1);
 if($addtime=="") alertback("请输入加入时间",1);
 
 $Sql="select count(*) from cfdown_info where title='$title' and id<>$id";
 $Result=mysql_query($Sql);
 $Rs=mysql_fetch_row($Result);
 if($Rs[0]>0) alertback("已经存在此标题",1);
 
 $Sql="select count(*) from cfdown_info where idstr='$idstr' and id<>$id";
 $Result=mysql_query($Sql);
 $Rs=mysql_fetch_row($Result);
 if($Rs[0]>0) alertback("已经存在此下载唯一缩短字符",1);
 
 $Sql="update cfdown_info set 
 idstr='$idstr',assort=$assort,title='$title',filesize='$filesize',content='$content',
 downurl='$downurl',downsite=$downsite,pwd='$pwd',outpwd='$outpwd',listid=$listid,infokeyword='$infokeyword',infodesc='$infodesc',
 infolabel='$infolabel',addtime='$addtime' 
 where id=$id";

 mysql_query($Sql);
 alerturl("修改成功",$_GET['refurl']);
}


//系统设置修改
if($action=="sysmodifysave")
{
 $syscode=ChkStr($_POST["syscode"],1);
 $systitle=ChkStr($_POST["systitle"],1);
 $sysseotitle=ChkStr($_POST["sysseotitle"],1);
 $regstate=chkstr($_POST["regstate"],2);
 $downlinkfdl=chkstr($_POST["downlinkfdl"],2);
 $adminusermanagepath=ChkStr($_POST["adminusermanagepath"],1);
 $downurlprefix=ChkStr($_POST["downurlprefix"],1);//为空时下载地址的填写需填写完全路径

 $smtpport=chkstr($_POST["smtpport"],1);
 $smtpaddress=chkstr($_POST["smtpaddress"],1);
 $smtpuser=chkstr($_POST["smtpuser"],1);
 $smtppassword=chkstr($_POST["smtppassword"],1);
 
 if($syscode=="") alertback("系统安全字符",1);
 if($systitle=="") alertback("请输入系统名称",1);
 if($sysseotitle=="") alertback("系统SEO名称",1);
 if($adminusermanagepath=="") alertback("请输入管理员后台所在目录",1);
 
 if($downurlprefix!=""&&strlen($downurlprefix)<11) alertback("输入旧下载前缀长度不符合，最少11位",1);

 $Sql="update cfdown_admin set syscode='$syscode',systitle='$systitle',
 sysseotitle='$sysseotitle',regstate=$regstate,downlinkfdl=$downlinkfdl,adminusermanagepath='$adminusermanagepath',downurlprefix='$downurlprefix',smtpport=$smtpport,smtpaddress='$smtpaddress',smtpuser='$smtpuser',smtppassword='$smtppassword'";
 mysql_query($Sql);
 
 alertref("修改成功");
}


//下载删除
if($action=="infodel")
{
 $id=ChkStr($_GET["id"],2);
 if($id=="") alertback("id不能为空",1);
 
 $Sql="delete from cfdown_info where id=$id";
 mysql_query($Sql);
 AlertRef("删除成功");
}


//下载分类增加
if($action=="infoclassaddsave")
{
 $infoclassname=ChkStr($_POST["infoclassname"],1);

 if($infoclassname=="") alertback("请输入分类",1);

 
 $Sql="select count(*) from cfdown_infoclass where infoclassname='$infoclassname'";
 $Result=mysql_query($Sql);
 $Rs=mysql_fetch_row($Result);
 if($Rs[0]>0) alertback("已经存在此分类",1);

 $Sql="insert into cfdown_infoclass(infoclassname)
 values('$infoclassname')";

  mysql_query($Sql);
 alerturl("增加成功",$_GET['refurl']);
}


//下载分类修改
if($action=="infoclassmodifysave")
{
 $id=ChkStr($_GET["id"],2);
 $infoclassname=ChkStr($_POST["infoclassname"],1);

 if($id=="") alertback("id不能为空",1);
 if($infoclassname=="") alertback("请输入分类",1);


 $Sql="select count(*) from cfdown_infoclass where infoclassname='$infoclassname' and id<>$id";
 $Result=mysql_query($Sql);
 $Rs=mysql_fetch_row($Result);
 if($Rs[0]>0) alertback("已经存在此标题",1);

 $Sql="update cfdown_infoclass set 
 infoclassname='$infoclassname' 
 where id=$id";

 mysql_query($Sql);
 alerturl("修改成功",$_GET['refurl']);
}


//下载分类删除
if($action=="infoclassdel")
{
 $id=ChkStr($_GET["id"],2);
 if($id=="") alertback("id不能为空",1);
 
 $Sql="delete from cfdown_infoclass where id=$id";
 mysql_query($Sql);
 AlertRef("删除成功");
 }


//管理员增加
if($action=="adminuseraddsave")
{
 $adminusername=ChkStr($_POST["adminusername"],1);
 $pwd=chkstr($_POST["pwd"],1);
 $pwd2=chkstr($_POST["pwd2"],1);
 
 if($adminusername=="") alertback("请输入管理员用户名",1);
 if($pwd=="") alertback("请输入密码",1);
 if($pwd2=="") alertback("请输入重复密码",1);
 
 if($pwd<>$pwd2) alertback("两次输入的密码不一致",1);

 $salt=md5(time().mt_rand(1,1000000));
 $pwd=md5($pwd.$salt);
 $admincode=md5(time().mt_rand(1,1000000));
 
 $Sql="select count(*) from cfdown_adminuser where adminusername='$adminusername'";
 $Result=mysql_query($Sql);
 $Rs=mysql_fetch_row($Result);
 if($Rs[0]>0) alertback("已经存在此管理员",1);

 $Sql="insert cfdown_adminuser(adminusername,pwd,salt,admincode) values('$adminusername','$pwd','$salt','$admincode')";
 mysql_query($Sql);

 alerturl("增加成功",$_GET['refurl']);
}


//管理员修改
if($action=="adminusermodifysave")
{
 $adminusername=ChkStr($_GET["adminusername"],1);
 $pwd=chkstr($_POST["pwd"],1);
 $pwd2=chkstr($_POST["pwd2"],1);
 
 if($adminusername=="") alertback("请输入管理员用户名",1);
 if($pwd=="") alertback("请输入密码",1);
 if($pwd2=="") alertback("请输入重复密码",1);

 if($pwd<>$pwd2) alertback("两次输入的密码不一致",1);
  
 $Sql="select salt from cfdown_adminuser where adminusername='$adminusername'";
 $result=mysql_query($Sql);
 $Rs=mysql_fetch_assoc($result);

 $pwd=md5($pwd.$Rs["salt"]);

 $Sql="update cfdown_adminuser set 
 pwd='$pwd' 
 where adminusername='$adminusername'";

 mysql_query($Sql);
 alerturl("修改成功",$_GET['refurl']);
}

//管理员删除
if($action=="adminuserdel")
{
 $adminusername=ChkStr($_GET["adminusername"],1);
 if($adminusername=="") alertback("管理员用户名不能为空",1);
 
 $Sql="delete from cfdown_adminuser where adminusername='$adminusername'";
 mysql_query($Sql);
 AlertRef("删除成功");
}


//管理员修改密码
if($action=="pwdmodifysave")
{
 $pwd=chkstr($_POST["pwd"],1);
 $pwd2=chkstr($_POST["pwd2"],1);

 if($pwd=="") alertback("请输入新密码",1);
 if($pwd2=="") alertback("请输入重复新密码",1);

 if($pwd<>$pwd2) alertback("两次输入的密码不一致",1);

 $Sql="select pwd,salt from cfdown_adminuser where adminusername='".$_SESSION['cfdownadmin']."'";
 $result=mysql_query($Sql);
 $Rs=mysql_fetch_assoc($result);
 
 $pwd=md5($pwd.$Rs["salt"]);

 $Sql="update cfdown_adminuser set pwd='$pwd' where adminusername='".$_SESSION['cfdownadmin']."'";

 mysql_query($Sql);
 alerturl("修改成功","?action=pwdmodify");
}

//管理员退出
if ($action=="adminuserlogout")
{
 $_SESSION["cfdownadmin"]="";
 setcookie("cfdownadmincookie",$admincode,time()-3600,"/");
 AlertUrl("","../");
}
